[资料分享] 分享一上python+pyqt5写的串口助手

[复制链接]
1295|16
 楼主 | 2017-11-14 21:10 | 显示全部楼层 |阅读模式
本帖最后由 fhqmcu 于 2017-11-14 21:22 编辑

使用python3.6 + pyqt5写的串口助手,解决了其他串口助手软件在运行过程中硬件断开死机的问题,用于调试嵌入式串口或是编写测试工具,调试单片机的好助手。
由于编译生成的可执行文件较大,无法上传,需要的可以发邮件给fhqlongteng@163.com,附件中上传的是源码,直接运行需要安装如下的软件包。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
 楼主 | 2017-11-18 10:14 | 显示全部楼层
,软件还是挺好用的,有需要的可以留下邮箱。
 楼主 | 2017-11-19 21:53 | 显示全部楼层
生成的可执行文件提供下载链接,请点击下载http://pan.baidu.com/s/1kUYdwUV,欢迎使用。
 楼主 | 2017-11-20 08:50 | 显示全部楼层
下载的朋友留个脚印,让更多的需要的人看到
| 2017-11-20 08:58 | 显示全部楼层
要这么多库?
| 2017-11-20 08:58 | 显示全部楼层
要这么多库?
 楼主 | 2017-11-20 15:46 | 显示全部楼层

直接运行源码会需要一些库,由于我电脑上面做了很多应用,安装的库较多,实现可能需要的库少一些了。你可以直接从我分享的链接中下载可执行exe文件使用,这样就不用安装python的相关库和环境了
| 2017-11-21 00:52 | 显示全部楼层
刚好在捣鼓Python 谢啦
| 2017-11-21 14:18 | 显示全部楼层
fhqmcu 发表于 2017-11-18 10:14
,软件还是挺好用的,有需要的可以留下邮箱。

运行你这个文件的时候,出现ModuleNotFoundError: No module named 'PyQt5'这个问题 。新手望指教
 楼主 | 2017-11-21 18:01 | 显示全部楼层
胡慧海 发表于 2017-11-21 14:18
运行你这个文件的时候,出现ModuleNotFoundError: No module named 'PyQt5'这个问题 。新手望指教 ...

没有安装pyqt5模块
| 2017-12-6 12:19 | 显示全部楼层
fhqmcu 发表于 2017-11-21 18:01
没有安装pyqt5模块

好久没逛论坛了,后来发现啦。pyqt5和python的版本要对应的,不然脚本运行的时候也会报这个错误。然后我把python3.6降低到python3.4就可以了。真实奇怪了,不晓得为啥python版本为啥不会向下兼容
| 2017-12-7 16:42 | 显示全部楼层
不错,正在学习这方面
 楼主 | 2017-12-8 13:01 | 显示全部楼层
胡慧海 发表于 2017-12-6 12:19
好久没逛论坛了,后来发现啦。pyqt5和python的版本要对应的,不然脚本运行的时候也会报这个错误。然后我 ...

python3与之前python2相比变化很大,出现了好多不兼容的地方
| 2017-12-11 12:35 | 显示全部楼层
fhqmcu 发表于 2017-12-8 13:01
python3与之前python2相比变化很大,出现了好多不兼容的地方

你知道安装PIP安装第三方库出现403的错误吗。我想在你这个串口的基础上加点二进制数据处理的功能
| 2017-12-12 12:32 | 显示全部楼层
測試了一下,非常好,有沒有更多的入門講解?
需要懂哪些庫或應用.>?
 楼主 | 2018-1-2 14:26 | 显示全部楼层
cos12a 发表于 2017-12-12 12:32
測試了一下,非常好,有沒有更多的入門講解?
需要懂哪些庫或應用.>?

学习python脚本语言和pyqt5的使用,网上有很多这方面的教程。
| 2018-4-10 21:49 | 显示全部楼层
谢谢分享!!学习一下!!
扫描二维码,随时随地手机跟帖
您需要登录后才可以回帖 登录 | 注册

本版积分规则

快速回复

您需要登录后才可以回帖
登录 | 注册
高级模式
我要创建版块 申请成为版主

论坛热帖

关闭

热门推荐上一条 /6 下一条

分享 快速回复 返回顶部 返回列表